@echo off

rem 　----------------------------
rem 　PATHが通っていれば設定不要
rem 　----------------------------
rem set javabin=C:\j2sdk1.4.2_10\bin\
rem set javabin="C:\Program Files\Java\jre1.5.0_06\bin\"
rem set javabin="C:\Program Files\Java\jre1.5.0_10\bin\"
rem set javabin="C:\Program Files\Java\jre1.6.0\bin\"
rem set javabin="C:\Program Files\Java\jre1.6.0_07\bin\"

cls

if "%1" == "" goto MODEL

cd /d %~dp0

rem 　----------------------------
rem 　%j80% は無視
rem 　----------------------------
rem %javabin%java -verbose:gc -jar j80.jar %1
rem %javabin%java -jar j80.jar %1
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false j80.jar %1
pause
exit


:MODEL
rem 　********************************************
rem 　WindowsXP には choice コマンドが無いようです
rem 　別途調達してください
rem 　********************************************

rem set j80=j80r1.jar
rem set j80=j80r2.jar
set j80=j80.jar
set j88=j80.jar

set cfg=.\config\

echo 　----------------------------------
echo 　1:PC-8001                + PCG8100
echo 　2:PC-8001mkII            + PCG8200
echo 　3:PC-8001mkIISR
echo 　4:PC-8801                + PCG8800
echo 　5:PC-8801mkII            + PCG8800
echo 　6:PC-8801(V2:4MHz) SR/TR + PCG8800
echo 　7:PC-8801(V2:4MHz) FR/MR + PCG8800
echo 　8:PC-8801(V2:8MHz)       + PCG8800
echo 　9:PC-8801(V2:8MHz) + SB2 + PCG8800
echo 　----------------------------------
rem 番号を選んでください (5秒後に 1 ) /C:123456789 /T:1,5
..\choice 番号を選んでください /C:123456789
cls

if errorlevel 9 goto PC88MA
if errorlevel 8 goto PC88MH
if errorlevel 7 goto PC88MR
if errorlevel 6 goto PC88SR
if errorlevel 5 goto PC88II
if errorlevel 4 goto PC8801
if errorlevel 3 goto PC80SR
if errorlevel 2 goto PC80II

:PC8001
rem %javabin%java -verbose:gc -jar %j80% %cfg%PC-8001.cfg
rem %javabin%java -jar %j80% %cfg%PC-8001.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8001.cfg
pause
exit

:PC80II
rem %javabin%java -jar %j80% %cfg%PC-8001mkII.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8001mkII.cfg
pause
exit

:PC80SR
rem %javabin%java -jar %j80% %cfg%PC-8001mkIISR.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8001mkIISR.cfg
pause
exit

:PC8801
rem %javabin%java -jar %j88% %cfg%PC-8801.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j88% %cfg%PC-8801.cfg
pause
exit

:PC88II
rem %javabin%java -jar %j88% %cfg%PC-8801mkII.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j88% %cfg%PC-8801mkII.cfg
pause
exit

:PC88SR
rem %javabin%java -jar %j88% %cfg%PC-8801mkIISR.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j88% %cfg%PC-8801mkIISR.cfg
pause
exit

:PC88MR
rem %javabin%java -jar %j88% %cfg%PC-8801mkIIFR.cfg
rem %javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j88% %cfg%PC-8801mkIIFR.cfg
rem %javabin%java -jar %j88% %cfg%PC-8801mkIIMR.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j88% %cfg%PC-8801mkIIMR.cfg
pause
exit

:PC88MH
rem %javabin%java -jar %j88% %cfg%PC-8801V2_8MHz.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j88% %cfg%PC-8801V2_8MHz.cfg
pause
exit

:PC88MA
rem %javabin%java -jar %j88% %cfg%PC-8801V2_8MHz_OPNA.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j88% %cfg%PC-8801V2_8MHz(OPNA).cfg
pause
exit

